
%global meadversion 20110809
%global namedversion 20110809-redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 7

%bcond_without mead

%define maven_version 20110809-redhat-3

Name:           sun-xsom
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XML Schema Object Model
License:        CDDL
Group:          Development/Java

%if %with mead
Source100: com.sun.xsom-xsom-20110809-redhat-3-sources.zip
Source101: com.sun.xsom-xsom-20110809-redhat-3-patches.zip
Source102: xsom-20110809-redhat-3-javadoc.jar
Source103: xsom-20110809-redhat-3.jar
Source104: xsom-20110809-redhat-3.pom
Source105: xsom-20110809-redhat-3-sources.jar
%endif

URL:            https://xsom.dev.java.net/
Provides:       xsom = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
# FIXME: In POM, but removed for EAP 6
%if 0
Requires:       relaxngDatatype >= 0:2002.04.14
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
XML Schema Object Model (XSOM) is a Java library that 
allows applications to easily parse XML Schema documents 
and inspect information in them. It is expected to be useful
for applications that need to take XML Schema as an input. 
The library is a straight-forward implement of 
"schema components" as defined in the XML Schema spec part 1. 
Refer to this specification of how this object model works. 

%package javadoc
Summary:        Javadoc for xsom
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.

%prep
%setup -q -n xsom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/xsom-%{namedversion}.jar                                                          
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/xsom-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/xsom-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-xsom.pom

# depmaps
%add_to_maven_depmap com.sun.xsom xsom %{namedversion} JPP/%{name} xsom
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xsom

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xsom-%{namedversion}
%{__unzip} -qq %{_sourcedir}/xsom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xsom-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/xsom-%{namedversion}/META-INF
%{__ln_s} xsom-%{namedversion} %{buildroot}%{_javadocdir}/xsom

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc license.txt doc/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/xsom-%{namedversion}.jar
%{_javadir}/%{name}/xsom.jar
%exclude %{_javadir}/%{name}/xsom-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/xsom-javadoc.jar
%{_javadir}/%{name}/xsom-%{namedversion}-sources.jar
%{_javadir}/%{name}/xsom-sources.jar
%{_mavenpomdir}/JPP.%{name}-xsom.pom
%{_mavendepmapfragdir}/xsom

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xsom-%{namedversion}
%{_javadocdir}/xsom
%{_javadir}/%{name}/xsom-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/xsom-javadoc.jar

%changelog
* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 20110809-7.redhat_3.1
- remove requirement on relaxngDatatype for EAP 6

* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 20110809-6.redhat_3.1
- move jars

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-5_redhat_3.3
- Rebuild for MD5

* Thu Sep 06 2012 Paul Gier <pgier@redhat.com> - 0:20110809-4_redhat_3.4
- Update pom patch to fix dependency on relaxngcc

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-4_redhat_2.3
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-4_redhat_2.2
- Rebuild unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-4_redhat_1.1
- Rebuild unsigned

* Fri Jul 27 2012 Hui Wang <huwang@redhat.com> - 0:20110809-4_redhat_1
- Add license.txt to %%files

* Mon Jul 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-3_redhat_1.1
- Rebuild using cache signing

* Fri Jul 20 2012 Hui Wang <huwang@redhat.com> 0:20110809-3_redhat_1
- First mead build

* Sat May 05 2012 David Walluck <dwalluck@redhat.com> 0:20110809-2
- use com.github.relaxng not relaxngDatatype for groupId
- resolves JBPAPP-8931

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:20110809-1
- 20110809
- recreate pom patch
- remove unused pom
- add BuildRequires: jvnet-parent

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:20110101-0.1
- 20110101

* Tue Feb 21 2012 David Walluck <dwalluck@redhat.com> 0:20070515-4.1
- add pom patch
- fix file names
- fix file location
- fix repolib dir ownership
- fix mvn deploy-file
- fix build

* Fri Dec 24 2010 Hui Wang <huwang@redhat.com> - 0:20070515-4
- Add repolib

* Wed Dec 08 2010 Hui Wang <huwang@redhat.com> - 0:20070515-3
- Fix %%files for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:20070515-2.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:20070515-2.2
- Rebuild

* Mon Jan 18 2010 Yiqiao Wang <yiwang@redhat.com> 0:20070515-2.1.1
- Disable aot compiler

* Fri Jun 12 2009 Martha Benitez <mbenitez@redhat.com> 0:20070515-2.1
- Comment out relaxng
- Comment out retroweaver
- Build without package jdk14

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:20070515-2
- build for JPackage 5

* Tue Nov 27 2007 Ralph Apel <r.apel at r-apel.de> - 0:20070515-1jpp
- First release
